(function() {
    const vscode = acquireVsCodeApi();
    const selectionList = document.getElementById('selectionList');
    const clearButton = document.getElementById('clearButton');

    clearButton.addEventListener('click', () => {
        vscode.postMessage({ type: 'clearHistory' });
    });

    window.addEventListener('message', event => {
        const message = event.data;
        switch (message.type) {
            case 'addSelection':
                const li = document.createElement('li');
                const timestamp = new Date().toLocaleString();
                li.innerHTML = `
                    <div>
                        <span class="model ${message.selectedModel === 0 ? 'selected' : ''}">${message.model0}</span>
                        <span class="model ${message.selectedModel === 1 ? 'selected' : ''}">${message.model1}</span>
                        <div class="timestamp">${timestamp}</div>
                    </div>
                `;
                selectionList.prepend(li);
                break;
            case 'clearSelections':
                selectionList.innerHTML = '';
                break;
        }
    });
})();